=== debian/changelog ===
cmark (0.30.2-5) unstable; urgency=medium

  * Revert plain wrong change to shlibs hint file;
    closes: bug#1004453, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2022 10:06:31 +0100

cmark (0.30.2-4) unstable; urgency=medium

  * fix tighten generated shlibs hint file,
    to reflect that upstream does not yet provide a stable ABI;
    add related lintian override;
    closes: bug#1003970, thanks to Gregor Herrmann
  * update copyright info:
    + use Reference field for main wildcard Files section;
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jan 2022 19:55:18 +0100

cmark (0.30.2-3) unstable; urgency=medium

  * simple re-release, uploaded source-only to be acceptable for testing

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Oct 2021 04:16:19 +0200

cmark (0.30.2-2) unstable; urgency=medium

  * fix build binary package libcmark0.30.2 (not libcmark0.30.1),
    and have it break recent broken release of libcmark0.30.1;
    closes: bug#996887:, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Oct 2021 16:57:49 +0200

cmark (0.30.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 02:19:52 +0200

cmark (0.30.1-2) unstable; urgency=medium

  * release to unstable

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2021 22:53:19 +0200

cmark (0.30.1-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * install to new binary package libcmark0.30.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 21:52:53 +0200

cmark (0.30.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * declare debhelper buildsystem explicitly
  * copyright info:
    + update coverage
    + fix a file reference
  * drop all patches: applied upstream
  * new binary package libcmark0.30 (replacing libcmark0.29)
    to match upstream SONAME bump

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jun 2021 12:16:45 +0200

cmark (0.29.0-4) unstable; urgency=medium

  * fix export DH_OPTIONS
  * add patch to extend timeput in pathological test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 08:31:10 +0200

cmark (0.29.0-3) unstable; urgency=medium

  * update Homepage, Source, and Upstream-Contact URLs;
    closes: 962576, thanks to Chris Lamb
  * copyright:
    + fix distinguish between License-Grant and License-Reference
      (and non-license disclaimers now omitted)
    + sort sections, Files above License
    + use semantic newlines, and newline-separate files
    + add coverage of recent packaging work
  * Long descriptions:
    + use semantic newlines, and strip duplicate text
    + add comparison to other markdown parsers, and define markdown
      (inspired by Haskell cmark wrapper description
      and Wikipedia article on Markdown)
  * include helper script copyright-check with source
  * override lintian regarding license in License-Reference field;
    see bug#786450
  * simplify rules: stop pass INSTALL_PREFIX,
    seemingly obsoleted by multiarch patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2020 11:10:44 +0200
