=== debian/control ===
Source: cmark
Section: text
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Homepage: https://github.com/commonmark/cmark
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/cmark.git
Vcs-Browser: https://salsa.debian.org/debian/cmark
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 python3,

Package: cmark
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: CommonMark parsing and rendering program
 cmark is the C reference implementation of CommonMark,
 a rationalized version of Markdown syntax with a spec.
 .
 cmark parses almost as fast as sundown and hoedown
 (but safer and less buggy),
 about 3 times faster than discount,
 and about 100 times faster than kramdown and pandoc.
 Memory consumption is on par with sundown
 and about 10 times less than pandoc.
 .
 cmark outputs HTML, groff man, LaTeX, CommonMark,
 and a custom XML format.
 .
 Markdown is a lightweight markup language
 with plain-text-formatting syntax.
 .
 This package provides a command-line program (cmark)
 for parsing and rendering CommonMark documents.

Package: libcmark0.30.2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libcmark0.30.1 (>= 0.30.2),
Description: CommonMark parsing and rendering library
 cmark is the C reference implementation of CommonMark,
 a rationalized version of Markdown syntax with a spec.
 .
 cmark parses almost as fast as sundown and hoedown
 (but safer and less buggy),
 about 3 times faster than discount,
 and about 100 times faster than kramdown and pandoc.
 Memory consumption is on par with sundown
 and about 10 times less than pandoc.
 .
 cmark outputs HTML, groff man, LaTeX, CommonMark,
 and a custom XML format.
 .
 Markdown is a lightweight markup language
 with plain-text-formatting syntax.
 .
 This package contains the shared libraries.

Package: libcmark-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcmark0.30.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for CommonMark parsing and rendering library
 cmark is the C reference implementation of CommonMark,
 a rationalized version of Markdown syntax with a spec.
 .
 cmark parses almost as fast as sundown and hoedown
 (but safer and less buggy),
 about 3 times faster than discount,
 and about 100 times faster than kramdown and pandoc.
 Memory consumption is on par with sundown
 and about 10 times less than pandoc.
 .
 cmark outputs HTML, groff man, LaTeX, CommonMark,
 and a custom XML format.
 .
 Markdown is a lightweight markup language
 with plain-text-formatting syntax.
 .
 This package contains the header and development files.
