## cmark 0.30.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(cmark VERSION 0.30.2)
+project(cmark VERSION 0.30.3)
 
 include("FindAsan.cmake")
 include(GNUInstallDirs)
@@ -44,7 +44,9 @@
     endif()
     target_compile_definitions(${target} PRIVATE _CRT_SECURE_NO_WARNINGS)
   else()
-    target_compile_options(${target} PRIVATE -Wall -Wextra -pedantic)
+    target_compile_options(${target} PRIVATE
+            -Wall -Wextra -pedantic
+            $<$<COMPILE_LANGUAGE:C>:-Wstrict-prototypes>)
   endif()
   if(CMAKE_BUILD_TYPE MATCHES profile)
     target_compile_options(${target} PRIVATE -pg)
