=== src/CMakeLists.txt ===
--- 
+++ 
@@ -151,7 +151,7 @@
     DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
     )
 
-  # Include module for fuctions
+  # Include module for functions
   # - 'write_basic_package_version_file'
   # - 'configure_package_config_file'
   include(CMakePackageConfigHelpers)
