=== debian/changelog ===
cmark (0.30.3-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * rename library package

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 23:30:46 +0100

cmark (0.30.2-6) unstable; urgency=medium

  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * declare compliance with Debian Policy 4.6.2
  * set Multi-Arch: foreign;
    closes: bug#1027147, thanks to Andrea Pappacoda

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Dec 2022 11:59:51 +0100
