=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Homepage: https://github.com/commonmark/cmark
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/cmark.git
 Vcs-Browser: https://salsa.debian.org/debian/cmark
 Rules-Requires-Root: no
@@ -14,6 +14,7 @@
 
 Package: cmark
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -37,15 +38,13 @@
  This package provides a command-line program (cmark)
  for parsing and rendering CommonMark documents.
 
-Package: libcmark0.30.2
+Package: libcmark0.30.3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- libcmark0.30.1 (>= 0.30.2),
 Description: CommonMark parsing and rendering library
  cmark is the C reference implementation of CommonMark,
  a rationalized version of Markdown syntax with a spec.
@@ -70,7 +69,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libcmark0.30.2 (= ${binary:Version}),
+ libcmark0.30.3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: development files for CommonMark parsing and rendering library
