=== debian/rules ===
#!/usr/bin/make -f

export CTEST_TEST_TIMEOUT=1800

%:
	dh $@ --buildsystem=cmake
