## cmark 0.31.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: cmark
 Section: text
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Homepage: https://github.com/commonmark/cmark
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/cmark.git
 Vcs-Browser: https://salsa.debian.org/debian/cmark
-Rules-Requires-Root: no
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-cmake-compat (= 1),
+ dh-sequence-cmake,
  python3,
 
 Package: cmark
@@ -38,7 +38,7 @@
  This package provides a command-line program (cmark)
  for parsing and rendering CommonMark documents.
 
-Package: libcmark0.30.3
+Package: libcmark0.31.2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -69,7 +69,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libcmark0.30.3 (= ${binary:Version}),
+ libcmark0.31.0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: development files for CommonMark parsing and rendering library
