=== debian/changelog ===
cmark (0.31.2+ds-1) experimental; urgency=medium

  * bump library package version, to reflect SONAME change
  * update copyright info:
    + update coverage
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * enable new CFLAG BUILD_SHARED_LIBS
  * declare compliance with Debian Policy 4.7.3
  * add metadata about upstream project
  * build-depend on dh-cmake-compat dh-sequence-cmake
  * update git-buildpackage config:
    + filter out debian subdir
    + stop superfluously filter out .git* files
  * update watch file:
    + use file format version 5
    + mangle upstream and Debian versions
    + stop mangle filename
    + use repack suffix +ds

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 17:56:36 +0100

cmark (0.31.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump library package version, to reflect SONAME change
  * update copyright info: update coverage
  * enable new CFLAG BUILD_SHARED_LIBS
  * add patches cherry-picked upstream:
    + fix inline source positions
    + update to Unicode 16.0
  * declare compliance with Debian Policy 4.7.2
  * add metadata about upstream project
  * build-depend on dh-sequence-cmake

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 21:23:12 +0100
