=== debian/rules ===
#!/usr/bin/make -f

export CTEST_TEST_TIMEOUT=1800

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DBUILD_SHARED_LIBS=YES
